//
//  DBOverlayWindow.h
//  Version 1.0
//  22 November 2006
//
//  Created by Dave Batton
//  http://www.Mere-Mortal-Software.com/
//
//  Portions based on the RoundedFloatingPanel class by Matt Gemmell
//
//  Copyright 2006. Some rights reserved.
//  This work is licensed under a Creative Commons license:
//  http://creativecommons.org/licenses/by/2.5/
//

#import <Cocoa/Cocoa.h>
#import "PhraseWindow.h"
#import "OverlayDisplayController.h"

@class DBOverlayWindow;


@interface DBOverlayWindowBkgrnd : NSWindow {
    float _cornerRadius;
}

	// Utility Routines
- (NSColor *)backgroundAsColor;


@end


@interface DBOverlayWindow : PhraseWindow {
	DBOverlayWindowBkgrnd *_bkgrndWindow;
    NSPoint _initialLocation;
	OverlayDisplayController *_displayController;
}

- (DBOverlayWindowBkgrnd *)bkgrndWindow;
- (void)setBkgrndWindow:(DBOverlayWindowBkgrnd *)aBkgrndWindow;

- (OverlayDisplayController *)displayController;
- (void)setDisplayController:(OverlayDisplayController *)aDisplayController;


@end
