
#define APPLICATION_NAME			@"Inspire Me"
#define DATA_FILE_NAME				@"Inspire Me.xml"
#define DATA_FILE_VERS				1
#define SUPPORT_FOLDER_NAME			@"Inspire Me"
#define PRODUCT_URL					@"http://www.Mere-Mortal-Software.com/inspireme/"
#define SUPPORT_URL					@"http://www.Mere-Mortal-Software.com/inspireme/support.php"
#define BUY_URL						@"http://www.Mere-Mortal-Software.com/inspireme/purchase.php"
#define PHRASE_PASTEBOARD_TYPE		@"IMPhrasePboardType"

#define TEXT_FILE_EXTENSION			@"txt"

#define SINGLE_QUOTE				'\''
#define SINGLE_OPEN_QUOTE			8216
#define SINGLE_CLOSE_QUOTE			8217
#define DOUBLE_QUOTE				'"'
#define DOUBLE_OPEN_QUOTE			8220
#define DOUBLE_CLOSE_QUOTE			8221
#define CURLY_APOSTROPHE			8217

#define LATE_INITIALIZATION_DELAY	5.0
#define MESSAGE_CHECK_FREQUENCY		60.0  // How often, in seconds, we check to see if there's a message to display.
#define MAX_PREVIOUS_PHRASES		10

#define SOURCE_LIST_TOPIC			1
#define SOURCE_LIST_STORE			2
#define SOURCE_LIST_DIVIDER			3

#define DISPLAY_STORE				1

#define STYLE_OVERLAY				@"overlay"
#define STYLE_DESKTOP				@"desktop"
#define STYLE_HUD					@"hud"
#define STYLE_GROWL					@"growl"
#define STYLE_DEFAULT				STYLE_OVERLAY

#ifdef DEBUG
#define SLOWMAC						YES
#else
#ifdef __i386__
#define SLOWMAC						NO
#else
#define SLOWMAC						YES
#endif
#endif

#ifdef DEBUG
#define DebugOnShiftDown			if ([[NSApp currentEvent] modifierFlags] & NSShiftKeyMask) __asm__ volatile ("int3");
#else
#define NSLog(x)					(void)x
#endif DEBUG

#if __LP64__ || NS_BUILD_32_LIKE_64
typedef long NSInteger;
typedef unsigned long NSUInteger;
#else
typedef int NSInteger;
typedef unsigned int NSUInteger;
#endif
