//
//  SourceListItem.h
//  Inspire Me
//
//  Created by Dave Batton on 8/21/06.
//  Copyright 2006 Mere Mortal Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Topic.h"


@interface SourceListItem : NSObject {
	NSString *_label;
	unsigned short _type;
	NSImage *_icon;
	NSManagedObjectID *_topicID;
	Topic *_topic;
}


- (NSString *)label;
- (void)setLabel:(NSString *)aLabel;
- (unsigned short)sourceType;
- (void)setSourceType:(unsigned short)aType;
- (NSImage *)icon;
- (void)setIcon:(NSImage *)anIcon;
- (Topic *)topic;
- (void)setTopic:(Topic *)aTopic;
- (NSManagedObjectID *)topicID;
- (void)setTopicID:(NSManagedObjectID *)aTopicID;


@end
