/* StoreViewController */


#import <Cocoa/Cocoa.h>
#import <WebKit/WebKit.h>


@interface StoreViewController : NSObject
{
	IBOutlet WebView *webView;
	IBOutlet NSImageView *topBackground;
	IBOutlet NSImageView *bottomBackground;
	IBOutlet NSProgressIndicator *progressIndicator;

	NSString *suggestedFilename;
	NSString *downloadPath;
}


- (IBAction)goHome:(id)sender;
- (IBAction)showSplash;
- (IBAction)showOfflineSplash;
- (WebView *)webView;
- (void)webViewProgressFinished:(NSNotification *)notification;
- (void)hideProgressIndicator:(NSTimer*)theTimer;
- (void)importDownloadedFile;




@end
