//
//  OverlayDisplayController.h
//  Inspire Me
//
//  Created by Dave Batton on 2/2/07.
//  Copyright 2007 Mere Mortal Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "DBDisplayController.h"


@interface OverlayDisplayController : DBDisplayController {
	IBOutlet NSButton *closeButton;
	NSTimer *_timeoutTimer;
}


	// Display Timer Methods
- (NSTimeInterval)bestDisplayTimeForTextWithLength:(short)characters;

	// Optional Display Controller Methods
- (void)hidePhraseWhenCursorLeavesForDictionary:(NSDictionary *)configDict;

	// Interface Builder Actions
- (IBAction)closeWindow:(id)sender;

	// Accessor Methods
- (NSTimer *)timeoutTimer;
- (void)setTimeoutTimer:(NSTimer *)aTimer;


@end
