//
//  PrefsWindowController.h
//  Inspire Me
//
//  Created by Dave Batton on 1/12/07.
//  Copyright 2007 Mere Mortal Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "DBPrefsWindowController.h"
#import "ShortcutRecorder.h"

@class PTHotKey;


@interface PrefsWindowController : DBPrefsWindowController {
//	IBOutlet NSTabView *tabView;

	IBOutlet NSView *generalPreferenceView;
	IBOutlet NSView *hotKeysPreferenceView;
	IBOutlet NSView *updatesPreferenceView;
		
		// Hot Key Preferences
	IBOutlet ShortcutRecorder *hideShortcutRecorder;
	IBOutlet ShortcutRecorder *redisplayShortcutRecorder;
	IBOutlet ShortcutRecorder *editShortcutRecorder;
}


	// Class methods
//+ (PrefsWindowController *)sharedPreferencesController;
//+ (BOOL)windowIsVisible;

	// Setup
- (void)setupHotKeysView;


	// General Preferences
- (IBAction)launchesAtLoginCheckboxAction:(id)sender;
- (BOOL)applicationLaunchesAtLogin;
- (void)setApplicationLaunchesAtLogin:(BOOL)launchesAtLogin;


	// Hot Key Preferences

	
	// Toolbar
//- (void) setupToolbarForWindow: (NSWindow *)theWindow;
//- (NSArray *)toolbarDefaultItemIdentifiers:( NSToolbar*)toolbar;
//- (void)toggleActivePreferenceView:(id)sender;
//- (void)setActiveView:(NSView *)view animate:(BOOL)flag;


@end
