/* SourceArrayController */


#import <Cocoa/Cocoa.h>
#import "DBSourceSeparatorCell.h"
#import "DBSourceTextFieldCell.h"


@interface SourceArrayController : NSArrayController {
	DBSourceTextFieldCell *textFieldCell;
	DBSourceSeparatorCell *separatorCell;
}

//- (void)updateSourceList;
- (void)selectRowWithObjectID:(NSManagedObjectID *)objectID;
- (void)topicChanged:(id)sender;
- (IBAction)addTopic:(id)sender;
- (void)removeAllObjects;
- (id)tableColumn:(NSTableColumn *)column inTableView:(NSTableView *)tableView dataCellForRow:(int)row;


@end
